import{S as ar,i as rr,s as ir,e as s,k as f,w as v,t as i,M as lr,c as a,d as o,m as g,a as r,x as k,h as l,b as m,G as e,g as _,y as w,q as $,o as y,B as P,v as dr,L as Ft}from"../../chunks/vendor-hf-doc-builder.js";import{T as _o}from"../../chunks/Tip-hf-doc-builder.js";import{D as xe}from"../../chunks/Docstring-hf-doc-builder.js";import{C as ze}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as ae}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ct}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function cr(N){let d,b;return d=new ze({props:{code:`from transformers import GPTNeoXConfig, GPTNeoXModel

# Initializing a GPTNeoX gpt-neox-20b style configuration
configuration = GPTNeoXConfig()

# Initializing a model (with random weights) from the gpt-neox-20b style configuration
model = GPTNeoXModel(configuration)
# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> GPTNeoXConfig, GPTNeoXModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a GPTNeoX gpt-neox-20b style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = GPTNeoXConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the gpt-neox-20b style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoXModel(configuration)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){v(d.$$.fragment)},l(c){k(d.$$.fragment,c)},m(c,p){w(d,c,p),b=!0},p:Ft,i(c){b||($(d.$$.fragment,c),b=!0)},o(c){y(d.$$.fragment,c),b=!1},d(c){P(d,c)}}}function pr(N){let d,b,c,p,T;return p=new ze({props:{code:`from transformers import GPTNeoXTokenizerFast

tokenizer = GPTNeoXTokenizerFast.from_pretrained("gpt2")
tokenizer("Hello world")["input_ids"]

tokenizer(" Hello world")["input_ids"]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> GPTNeoXTokenizerFast

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = GPTNeoXTokenizerFast.from_pretrained(<span class="hljs-string">&quot;gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer(<span class="hljs-string">&quot;Hello world&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
[<span class="hljs-number">15496</span>, <span class="hljs-number">995</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer(<span class="hljs-string">&quot; Hello world&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
[<span class="hljs-number">18435</span>, <span class="hljs-number">995</span>]`}}),{c(){d=s("p"),b=i("be encoded differently whether it is at the beginning of the sentence (without space) or not:"),c=f(),v(p.$$.fragment)},l(n){d=a(n,"P",{});var u=r(d);b=l(u,"be encoded differently whether it is at the beginning of the sentence (without space) or not:"),u.forEach(o),c=g(n),k(p.$$.fragment,n)},m(n,u){_(n,d,u),e(d,b),_(n,c,u),w(p,n,u),T=!0},p:Ft,i(n){T||($(p.$$.fragment,n),T=!0)},o(n){y(p.$$.fragment,n),T=!1},d(n){n&&o(d),n&&o(c),P(p,n)}}}function hr(N){let d,b,c,p,T,n,u,G;return{c(){d=s("p"),b=i("When used with "),c=s("code"),p=i("is_split_into_words=True"),T=i(", this tokenizer needs to be instantiated with "),n=s("code"),u=i("add_prefix_space=True"),G=i(".")},l(C){d=a(C,"P",{});var X=r(d);b=l(X,"When used with "),c=a(X,"CODE",{});var F=r(c);p=l(F,"is_split_into_words=True"),F.forEach(o),T=l(X,", this tokenizer needs to be instantiated with "),n=a(X,"CODE",{});var q=r(n);u=l(q,"add_prefix_space=True"),q.forEach(o),G=l(X,"."),X.forEach(o)},m(C,X){_(C,d,X),e(d,b),e(d,c),e(c,p),e(d,T),e(d,n),e(n,u),e(d,G)},d(C){C&&o(d)}}}function ur(N){let d,b,c,p,T;return{c(){d=s("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=s("code"),p=i("Module"),T=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var u=r(d);b=l(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(u,"CODE",{});var G=r(c);p=l(G,"Module"),G.forEach(o),T=l(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(n,u){_(n,d,u),e(d,b),e(d,c),e(c,p),e(d,T)},d(n){n&&o(d)}}}function mr(N){let d,b,c,p,T,n,u,G;return{c(){d=s("p"),b=i(`This example uses a random model as the real ones are all very big. To get proper results, you should use
EleutherAI/gpt-neox-20b instead of trl-internal-testing/tiny-random-GPTNeoXForCausalLM. If you get out-of-memory when loading that checkpoint, you can try
adding `),c=s("code"),p=i('device_map="auto"'),T=i(" in the "),n=s("code"),u=i("from_pretrained"),G=i(" call.")},l(C){d=a(C,"P",{});var X=r(d);b=l(X,`This example uses a random model as the real ones are all very big. To get proper results, you should use
EleutherAI/gpt-neox-20b instead of trl-internal-testing/tiny-random-GPTNeoXForCausalLM. If you get out-of-memory when loading that checkpoint, you can try
adding `),c=a(X,"CODE",{});var F=r(c);p=l(F,'device_map="auto"'),F.forEach(o),T=l(X," in the "),n=a(X,"CODE",{});var q=r(n);u=l(q,"from_pretrained"),q.forEach(o),G=l(X," call."),X.forEach(o)},m(C,X){_(C,d,X),e(d,b),e(d,c),e(c,p),e(d,T),e(d,n),e(n,u),e(d,G)},d(C){C&&o(d)}}}function fr(N){let d,b,c,p,T;return p=new ze({props:{code:`from transformers import AutoTokenizer, GPTNeoXModel
import torch

tokenizer = AutoTokenizer.from_pretrained("trl-internal-testing/tiny-random-GPTNeoXForCausalLM")
model = GPTNeoXModel.from_pretrained("trl-internal-testing/tiny-random-GPTNeoXForCausalLM")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, GPTNeoXModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;trl-internal-testing/tiny-random-GPTNeoXForCausalLM&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoXModel.from_pretrained(<span class="hljs-string">&quot;trl-internal-testing/tiny-random-GPTNeoXForCausalLM&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),b=i("Example:"),c=f(),v(p.$$.fragment)},l(n){d=a(n,"P",{});var u=r(d);b=l(u,"Example:"),u.forEach(o),c=g(n),k(p.$$.fragment,n)},m(n,u){_(n,d,u),e(d,b),_(n,c,u),w(p,n,u),T=!0},p:Ft,i(n){T||($(p.$$.fragment,n),T=!0)},o(n){y(p.$$.fragment,n),T=!1},d(n){n&&o(d),n&&o(c),P(p,n)}}}function gr(N){let d,b,c,p,T;return{c(){d=s("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=s("code"),p=i("Module"),T=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var u=r(d);b=l(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(u,"CODE",{});var G=r(c);p=l(G,"Module"),G.forEach(o),T=l(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(n,u){_(n,d,u),e(d,b),e(d,c),e(c,p),e(d,T)},d(n){n&&o(d)}}}function _r(N){let d,b,c,p,T;return p=new ze({props:{code:`from transformers import AutoTokenizer, GPTNeoXForCausalLM, GPTNeoXConfig
import torch

tokenizer = AutoTokenizer.from_pretrained("EleutherAI/gpt-neox-20b")
config = GPTNeoXConfig.from_pretrained("EleutherAI/gpt-neox-20b")
config.is_decoder = True
model = GPTNeoXForCausalLM.from_pretrained("EleutherAI/gpt-neox-20b", config=config)

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

prediction_logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, GPTNeoXForCausalLM, GPTNeoXConfig
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neox-20b&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config = GPTNeoXConfig.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neox-20b&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config.is_decoder = <span class="hljs-literal">True</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoXForCausalLM.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neox-20b&quot;</span>, config=config)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.logits`}}),{c(){d=s("p"),b=i("Example:"),c=f(),v(p.$$.fragment)},l(n){d=a(n,"P",{});var u=r(d);b=l(u,"Example:"),u.forEach(o),c=g(n),k(p.$$.fragment,n)},m(n,u){_(n,d,u),e(d,b),_(n,c,u),w(p,n,u),T=!0},p:Ft,i(n){T||($(p.$$.fragment,n),T=!0)},o(n){y(p.$$.fragment,n),T=!1},d(n){n&&o(d),n&&o(c),P(p,n)}}}function Tr(N){let d,b,c,p,T;return{c(){d=s("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=s("code"),p=i("Module"),T=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var u=r(d);b=l(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(u,"CODE",{});var G=r(c);p=l(G,"Module"),G.forEach(o),T=l(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(n,u){_(n,d,u),e(d,b),e(d,c),e(c,p),e(d,T)},d(n){n&&o(d)}}}function br(N){let d,b,c,p,T;return p=new ze({props:{code:`import torch
from transformers import AutoTokenizer, GPTNeoXForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("trl-internal-testing/tiny-random-GPTNeoXForCausalLM")
model = GPTNeoXForSequenceClassification.from_pretrained("trl-internal-testing/tiny-random-GPTNeoXForCausalLM")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = GPTNeoXForSequenceClassification.from_pretrained("trl-internal-testing/tiny-random-GPTNeoXForCausalLM", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, GPTNeoXForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;trl-internal-testing/tiny-random-GPTNeoXForCausalLM&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoXForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;trl-internal-testing/tiny-random-GPTNeoXForCausalLM&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoXForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;trl-internal-testing/tiny-random-GPTNeoXForCausalLM&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=s("p"),b=i("Example of single-label classification:"),c=f(),v(p.$$.fragment)},l(n){d=a(n,"P",{});var u=r(d);b=l(u,"Example of single-label classification:"),u.forEach(o),c=g(n),k(p.$$.fragment,n)},m(n,u){_(n,d,u),e(d,b),_(n,c,u),w(p,n,u),T=!0},p:Ft,i(n){T||($(p.$$.fragment,n),T=!0)},o(n){y(p.$$.fragment,n),T=!1},d(n){n&&o(d),n&&o(c),P(p,n)}}}function vr(N){let d,b,c,p,T;return p=new ze({props:{code:`import torch
from transformers import AutoTokenizer, GPTNeoXForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("trl-internal-testing/tiny-random-GPTNeoXForCausalLM")
model = GPTNeoXForSequenceClassification.from_pretrained("trl-internal-testing/tiny-random-GPTNeoXForCausalLM", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = GPTNeoXForSequenceClassification.from_pretrained(
    "trl-internal-testing/tiny-random-GPTNeoXForCausalLM", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, GPTNeoXForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;trl-internal-testing/tiny-random-GPTNeoXForCausalLM&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoXForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;trl-internal-testing/tiny-random-GPTNeoXForCausalLM&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoXForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;trl-internal-testing/tiny-random-GPTNeoXForCausalLM&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=s("p"),b=i("Example of multi-label classification:"),c=f(),v(p.$$.fragment)},l(n){d=a(n,"P",{});var u=r(d);b=l(u,"Example of multi-label classification:"),u.forEach(o),c=g(n),k(p.$$.fragment,n)},m(n,u){_(n,d,u),e(d,b),_(n,c,u),w(p,n,u),T=!0},p:Ft,i(n){T||($(p.$$.fragment,n),T=!0)},o(n){y(p.$$.fragment,n),T=!1},d(n){n&&o(d),n&&o(c),P(p,n)}}}function kr(N){let d,b,c,p,T,n,u,G,C,X,F,q,qt,Ce,Qo,Et,Zo,To,re,en,Fe,tn,on,bo,ie,nn,qe,sn,an,vo,ct,rn,ko,Ee,wo,pt,ln,$o,U,le,Mt,Me,dn,jt,cn,yo,de,pn,At,hn,un,Po,je,No,V,ce,St,Ae,mn,Lt,fn,Go,ht,It,ut,gn,Xo,J,pe,Ot,Se,_n,Dt,Tn,xo,A,Le,bn,R,vn,mt,kn,wn,Ie,$n,yn,Pn,Y,Nn,ft,Gn,Xn,gt,xn,zn,Cn,he,zo,K,ue,Wt,Oe,Fn,Bt,qn,Co,x,De,En,We,Mn,Ht,jn,An,Sn,Ut,Ln,In,me,On,Be,Dn,Vt,Wn,Bn,Hn,fe,Un,He,Vn,_t,Jn,Rn,Fo,Q,ge,Jt,Ue,Yn,Rt,Kn,qo,O,Ve,Qn,Je,Zn,Re,es,ts,os,E,Ye,ns,Z,ss,Tt,as,rs,Yt,is,ls,ds,_e,cs,Te,ps,be,Eo,ee,ve,Kt,Ke,hs,Qt,us,Mo,D,Qe,ms,te,fs,Zt,gs,_s,Ze,Ts,bs,vs,L,et,ks,oe,ws,bt,$s,ys,eo,Ps,Ns,Gs,ke,Xs,we,jo,ne,$e,to,tt,xs,oo,zs,Ao,z,ot,Cs,no,Fs,qs,vt,kt,Es,Ms,js,S,As,so,Ss,Ls,ao,Is,Os,ro,Ds,Ws,io,Bs,Hs,Us,nt,Vs,st,Js,Rs,Ys,M,at,Ks,se,Qs,wt,Zs,ea,lo,ta,oa,na,ye,sa,Pe,aa,Ne,So;return n=new ae({}),Ce=new ae({}),Ee=new ze({props:{code:'model = GPTNeoXForCausalLM.from_pretrained("EleutherAI/gpt-neox-20b").half().cuda()',highlighted:'model = GPTNeoXForCausalLM.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neox-20b&quot;</span>).half().cuda()'}}),Me=new ae({}),je=new ze({props:{code:`from transformers import GPTNeoXForCausalLM, GPTNeoXTokenizerFast

model = GPTNeoXForCausalLM.from_pretrained("EleutherAI/gpt-neox-20b")
tokenizer = GPTNeoXTokenizerFast.from_pretrained("EleutherAI/gpt-neox-20b")

prompt = "GPTNeoX20B is a 20B-parameter autoregressive Transformer model developed by EleutherAI."

input_ids = tokenizer(prompt, return_tensors="pt").input_ids

gen_tokens = model.generate(
    input_ids,
    do_sample=True,
    temperature=0.9,
    max_length=100,
)
gen_text = tokenizer.batch_decode(gen_tokens)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> GPTNeoXForCausalLM, GPTNeoXTokenizerFast

<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoXForCausalLM.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neox-20b&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = GPTNeoXTokenizerFast.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neox-20b&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;GPTNeoX20B is a 20B-parameter autoregressive Transformer model developed by EleutherAI.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(prompt, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(
<span class="hljs-meta">... </span>    input_ids,
<span class="hljs-meta">... </span>    do_sample=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    temperature=<span class="hljs-number">0.9</span>,
<span class="hljs-meta">... </span>    max_length=<span class="hljs-number">100</span>,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>gen_text = tokenizer.batch_decode(gen_tokens)[<span class="hljs-number">0</span>]`}}),Ae=new ae({}),Se=new ae({}),Le=new xe({props:{name:"class transformers.GPTNeoXConfig",anchor:"transformers.GPTNeoXConfig",parameters:[{name:"vocab_size",val:" = 50432"},{name:"hidden_size",val:" = 6144"},{name:"num_hidden_layers",val:" = 44"},{name:"num_attention_heads",val:" = 64"},{name:"intermediate_size",val:" = 24576"},{name:"hidden_act",val:" = 'gelu'"},{name:"rotary_pct",val:" = 0.25"},{name:"rotary_emb_base",val:" = 10000"},{name:"max_position_embeddings",val:" = 2048"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-05"},{name:"use_cache",val:" = True"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"tie_word_embeddings",val:" = False"},{name:"use_parallel_residual",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.GPTNeoXConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 50432) &#x2014;
Vocabulary size of the GPTNeoX model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_21485/en/model_doc/gpt_neox#transformers.GPTNeoXModel">GPTNeoXModel</a>.`,name:"vocab_size"},{anchor:"transformers.GPTNeoXConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 6144) &#x2014;
Dimension of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.GPTNeoXConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 44) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.GPTNeoXConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.GPTNeoXConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 24576) &#x2014;
Dimension of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.GPTNeoXConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.GPTNeoXConfig.rotary_pct",description:`<strong>rotary_pct</strong> (<code>float</code>, <em>optional</em>, defaults to 0.25) &#x2014;
percentage of hidden dimensions to allocate to rotary embeddings`,name:"rotary_pct"},{anchor:"transformers.GPTNeoXConfig.rotary_emb_base",description:`<strong>rotary_emb_base</strong> (<code>int</code>, <em>optional</em>, defaults to 10000) &#x2014;
base for computing rotary embeddings frequency`,name:"rotary_emb_base"},{anchor:"transformers.GPTNeoXConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.GPTNeoXConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.GPTNeoXConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.GPTNeoXConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"},{anchor:"transformers.GPTNeoXConfig.use_parallel_residual",description:`<strong>use_parallel_residual</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to use a &#x201C;parallel&#x201D; formulation in each Transformer layer, which can provide a slight training
speedup at large scales (e.g. 20B).
Example &#x2014;`,name:"use_parallel_residual"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/gpt_neox/configuration_gpt_neox.py#L29"}}),he=new Ct({props:{anchor:"transformers.GPTNeoXConfig.example",$$slots:{default:[cr]},$$scope:{ctx:N}}}),Oe=new ae({}),De=new xe({props:{name:"class transformers.GPTNeoXTokenizerFast",anchor:"transformers.GPTNeoXTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"merges_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"unk_token",val:" = '<|endoftext|>'"},{name:"bos_token",val:" = '<|endoftext|>'"},{name:"eos_token",val:" = '<|endoftext|>'"},{name:"add_prefix_space",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.GPTNeoXTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.GPTNeoXTokenizerFast.merges_file",description:`<strong>merges_file</strong> (<code>str</code>) &#x2014;
Path to the merges file.`,name:"merges_file"},{anchor:"transformers.GPTNeoXTokenizerFast.errors",description:`<strong>errors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;replace&quot;</code>) &#x2014;
Paradigm to follow when decoding bytes to UTF-8. See
<a href="https://docs.python.org/3/library/stdtypes.html#bytes.decode" rel="nofollow">bytes.decode</a> for more information.`,name:"errors"},{anchor:"transformers.GPTNeoXTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&lt;|endoftext|&gt;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.GPTNeoXTokenizerFast.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&lt;|endoftext|&gt;</code>) &#x2014;
The beginning of sequence token.`,name:"bos_token"},{anchor:"transformers.GPTNeoXTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&lt;|endoftext|&gt;</code>) &#x2014;
The end of sequence token.`,name:"eos_token"},{anchor:"transformers.GPTNeoXTokenizerFast.add_prefix_space",description:`<strong>add_prefix_space</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to add an initial space to the input. This allows to treat the leading word just as any
other word. (GPTNeoX tokenizer detect beginning of words by the preceding space).`,name:"add_prefix_space"},{anchor:"transformers.GPTNeoXTokenizerFast.trim_offsets",description:`<strong>trim_offsets</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the post-processing step should trim offsets to avoid including whitespaces.`,name:"trim_offsets"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/gpt_neox/tokenization_gpt_neox_fast.py#L44"}}),me=new Ct({props:{anchor:"transformers.GPTNeoXTokenizerFast.example",$$slots:{default:[pr]},$$scope:{ctx:N}}}),fe=new _o({props:{$$slots:{default:[hr]},$$scope:{ctx:N}}}),Ue=new ae({}),Ve=new xe({props:{name:"class transformers.GPTNeoXModel",anchor:"transformers.GPTNeoXModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.GPTNeoXModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/gpt_neox#transformers.GPTNeoXConfig">~GPTNeoXConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/gpt_neox/modeling_gpt_neox.py#L414"}}),Ye=new xe({props:{name:"forward",anchor:"transformers.GPTNeoXModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.GPTNeoXModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21485/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21485/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21485/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.GPTNeoXModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.GPTNeoXModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.n_positions - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.GPTNeoXModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.GPTNeoXModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.GPTNeoXModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.GPTNeoXModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.GPTNeoXModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21485/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.GPTNeoXModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.GPTNeoXModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/gpt_neox/modeling_gpt_neox.py#L434",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPast"
>transformers.modeling_outputs.BaseModelOutputWithPast</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21485/en/model_doc/gpt_neox#transformers.GPTNeoXConfig"
>GPTNeoXConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPast"
>transformers.modeling_outputs.BaseModelOutputWithPast</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),_e=new _o({props:{$$slots:{default:[ur]},$$scope:{ctx:N}}}),Te=new _o({props:{warning:!0,$$slots:{default:[mr]},$$scope:{ctx:N}}}),be=new Ct({props:{anchor:"transformers.GPTNeoXModel.forward.example",$$slots:{default:[fr]},$$scope:{ctx:N}}}),Ke=new ae({}),Qe=new xe({props:{name:"class transformers.GPTNeoXForCausalLM",anchor:"transformers.GPTNeoXForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.GPTNeoXForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/gpt_neox#transformers.GPTNeoXConfig">~GPTNeoXConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/gpt_neox/modeling_gpt_neox.py#L591"}}),et=new xe({props:{name:"forward",anchor:"transformers.GPTNeoXForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.GPTNeoXForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21485/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21485/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21485/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.GPTNeoXForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.GPTNeoXForCausalLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.n_positions - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.GPTNeoXForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.GPTNeoXForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.GPTNeoXForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.GPTNeoXForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.GPTNeoXForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21485/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.GPTNeoXForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>. The two additional tensors are
only required when the model is used as a decoder in a Sequence to Sequence model.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.GPTNeoXForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the left-to-right language modeling loss (next word prediction). Indices should be in
<code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are
ignored (masked), the loss is only computed for the tokens with labels n <code>[0, ..., config.vocab_size]</code>.`,name:"labels"},{anchor:"transformers.GPTNeoXForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/gpt_neox/modeling_gpt_neox.py#L609",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithPast"
>transformers.modeling_outputs.CausalLMOutputWithPast</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21485/en/model_doc/gpt_neox#transformers.GPTNeoXConfig"
>GPTNeoXConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>)</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithPast"
>transformers.modeling_outputs.CausalLMOutputWithPast</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ke=new _o({props:{$$slots:{default:[gr]},$$scope:{ctx:N}}}),we=new Ct({props:{anchor:"transformers.GPTNeoXForCausalLM.forward.example",$$slots:{default:[_r]},$$scope:{ctx:N}}}),tt=new ae({}),ot=new xe({props:{name:"class transformers.GPTNeoXForSequenceClassification",anchor:"transformers.GPTNeoXForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.GPTNeoXForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/gpt_neox#transformers.GPTNeoXConfig">~GPTNeoXConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/gpt_neox/modeling_gpt_neox.py#L765"}}),at=new xe({props:{name:"forward",anchor:"transformers.GPTNeoXForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.GPTNeoXForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>({0})</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21485/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21485/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21485/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.GPTNeoXForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.GPTNeoXForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.n_positions - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.GPTNeoXForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.GPTNeoXForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>({0}, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.GPTNeoXForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.GPTNeoXForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.GPTNeoXForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21485/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.GPTNeoXForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/gpt_neox/modeling_gpt_neox.py#L777",returnDescription:`
<p>A <code>transformers.modeling_outputs.SequenceClassifierOutputWithPast</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21485/en/model_doc/gpt_neox#transformers.GPTNeoXConfig"
>GPTNeoXConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>)</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.SequenceClassifierOutputWithPast</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ye=new _o({props:{$$slots:{default:[Tr]},$$scope:{ctx:N}}}),Pe=new Ct({props:{anchor:"transformers.GPTNeoXForSequenceClassification.forward.example",$$slots:{default:[br]},$$scope:{ctx:N}}}),Ne=new Ct({props:{anchor:"transformers.GPTNeoXForSequenceClassification.forward.example-2",$$slots:{default:[vr]},$$scope:{ctx:N}}}),{c(){d=s("meta"),b=f(),c=s("h1"),p=s("a"),T=s("span"),v(n.$$.fragment),u=f(),G=s("span"),C=i("GPT-NeoX"),X=f(),F=s("h2"),q=s("a"),qt=s("span"),v(Ce.$$.fragment),Qo=f(),Et=s("span"),Zo=i("Overview"),To=f(),re=s("p"),en=i(`We introduce GPT-NeoX-20B, a 20 billion parameter autoregressive language model trained on the Pile, whose weights will
be made freely and openly available to the public through a permissive license. It is, to the best of our knowledge,
the largest dense autoregressive model that has publicly available weights at the time of submission. In this work,
we describe GPT-NeoX-20B\u2019s architecture and training and evaluate its performance on a range of language-understanding,
mathematics, and knowledge-based tasks. We find that GPT-NeoX-20B is a particularly powerful few-shot reasoner and
gains far more in performance when evaluated five-shot than similarly sized GPT-3 and FairSeq models. We open-source
the training and evaluation code, as well as the model weights, at `),Fe=s("a"),tn=i("https://github.com/EleutherAI/gpt-neox"),on=i("."),bo=f(),ie=s("p"),nn=i(`Development of the model was led by Sid Black, Stella Biderman and Eric Hallahan, and the model was trained with
generous the support of `),qe=s("a"),sn=i("CoreWeave"),an=i("."),vo=f(),ct=s("p"),rn=i("GPT-NeoX-20B was trained with fp16, thus it is recommended to initialize the model as follows:"),ko=f(),v(Ee.$$.fragment),wo=f(),pt=s("p"),ln=i(`GPT-NeoX-20B also has a different tokenizer from the one used in GPT-J-6B and GPT-Neo. The new tokenizer allocates
additional tokens to whitespace characters, making the model more suitable for certain tasks like code generation.`),$o=f(),U=s("h3"),le=s("a"),Mt=s("span"),v(Me.$$.fragment),dn=f(),jt=s("span"),cn=i("Generation"),yo=f(),de=s("p"),pn=i("The "),At=s("code"),hn=i("generate()"),un=i(" method can be used to generate text using GPT Neo model."),Po=f(),v(je.$$.fragment),No=f(),V=s("h2"),ce=s("a"),St=s("span"),v(Ae.$$.fragment),mn=f(),Lt=s("span"),fn=i("Documentation resources"),Go=f(),ht=s("ul"),It=s("li"),ut=s("a"),gn=i("Causal language modeling task guide"),Xo=f(),J=s("h2"),pe=s("a"),Ot=s("span"),v(Se.$$.fragment),_n=f(),Dt=s("span"),Tn=i("GPTNeoXConfig"),xo=f(),A=s("div"),v(Le.$$.fragment),bn=f(),R=s("p"),vn=i("This is the configuration class to store the configuration of a "),mt=s("a"),kn=i("GPTNeoXModel"),wn=i(`. It is used to instantiate an
GPTNeoX model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the GPTNeoX
`),Ie=s("a"),$n=i("EleutherAI/gpt-neox-20b"),yn=i(" architecture."),Pn=f(),Y=s("p"),Nn=i("Configuration objects inherit from "),ft=s("a"),Gn=i("PretrainedConfig"),Xn=i(` and can be used to control the model outputs. Read the
documentation from `),gt=s("a"),xn=i("PretrainedConfig"),zn=i(" for more information."),Cn=f(),v(he.$$.fragment),zo=f(),K=s("h2"),ue=s("a"),Wt=s("span"),v(Oe.$$.fragment),Fn=f(),Bt=s("span"),qn=i("GPTNeoXTokenizerFast"),Co=f(),x=s("div"),v(De.$$.fragment),En=f(),We=s("p"),Mn=i("Construct a \u201Cfast\u201D GPT-NeoX-20B tokenizer (backed by HuggingFace\u2019s "),Ht=s("em"),jn=i("tokenizers"),An=i(` library). Based on byte-level
Byte-Pair-Encoding.`),Sn=f(),Ut=s("p"),Ln=i("This tokenizer has been trained to treat spaces like parts of the tokens (a bit like sentencepiece) so a word will"),In=f(),v(me.$$.fragment),On=f(),Be=s("p"),Dn=i("You can get around that behavior by passing "),Vt=s("code"),Wn=i("add_prefix_space=True"),Bn=i(` when instantiating this tokenizer, but since
the model was not pretrained this way, it might yield a decrease in performance.`),Hn=f(),v(fe.$$.fragment),Un=f(),He=s("p"),Vn=i("This tokenizer inherits from "),_t=s("a"),Jn=i("PreTrainedTokenizerFast"),Rn=i(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Fo=f(),Q=s("h2"),ge=s("a"),Jt=s("span"),v(Ue.$$.fragment),Yn=f(),Rt=s("span"),Kn=i("GPTNeoXModel"),qo=f(),O=s("div"),v(Ve.$$.fragment),Qn=f(),Je=s("p"),Zn=i(`The bare GPTNeoX Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Re=s("a"),es=i("torch.nn.Module"),ts=i(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),os=f(),E=s("div"),v(Ye.$$.fragment),ns=f(),Z=s("p"),ss=i("The "),Tt=s("a"),as=i("GPTNeoXModel"),rs=i(" forward method, overrides the "),Yt=s("code"),is=i("__call__"),ls=i(" special method."),ds=f(),v(_e.$$.fragment),cs=f(),v(Te.$$.fragment),ps=f(),v(be.$$.fragment),Eo=f(),ee=s("h2"),ve=s("a"),Kt=s("span"),v(Ke.$$.fragment),hs=f(),Qt=s("span"),us=i("GPTNeoXForCausalLM"),Mo=f(),D=s("div"),v(Qe.$$.fragment),ms=f(),te=s("p"),fs=i("GPTNeoX Model with a "),Zt=s("code"),gs=i("language modeling"),_s=i(` head on top for CLM fine-tuning.
This model is a PyTorch `),Ze=s("a"),Ts=i("torch.nn.Module"),bs=i(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),vs=f(),L=s("div"),v(et.$$.fragment),ks=f(),oe=s("p"),ws=i("The "),bt=s("a"),$s=i("GPTNeoXForCausalLM"),ys=i(" forward method, overrides the "),eo=s("code"),Ps=i("__call__"),Ns=i(" special method."),Gs=f(),v(ke.$$.fragment),Xs=f(),v(we.$$.fragment),jo=f(),ne=s("h2"),$e=s("a"),to=s("span"),v(tt.$$.fragment),xs=f(),oo=s("span"),zs=i("GPTNeoXForSequenceClassification"),Ao=f(),z=s("div"),v(ot.$$.fragment),Cs=f(),no=s("p"),Fs=i("The GPTNeoX Model transformer with a sequence classification head on top (linear layer)."),qs=f(),vt=s("p"),kt=s("a"),Es=i("GPTNeoXForSequenceClassification"),Ms=i(` uses the last token in order to do the classification, as other causal models
(e.g. GPT-1) do.`),js=f(),S=s("p"),As=i(`Since it does classification on the last token, it requires to know the position of the last token. If a
`),so=s("code"),Ss=i("pad_token_id"),Ls=i(` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),ao=s("code"),Is=i("pad_token_id"),Os=i(` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),ro=s("code"),Ds=i("inputs_embeds"),Ws=i(" are passed instead of "),io=s("code"),Bs=i("input_ids"),Hs=i(`, it does the same (take the last value in
each row of the batch).`),Us=f(),nt=s("p"),Vs=i("This model is a PyTorch "),st=s("a"),Js=i("torch.nn.Module"),Rs=i(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ys=f(),M=s("div"),v(at.$$.fragment),Ks=f(),se=s("p"),Qs=i("The "),wt=s("a"),Zs=i("GPTNeoXForSequenceClassification"),ea=i(" forward method, overrides the "),lo=s("code"),ta=i("__call__"),oa=i(" special method."),na=f(),v(ye.$$.fragment),sa=f(),v(Pe.$$.fragment),aa=f(),v(Ne.$$.fragment),this.h()},l(t){const h=lr('[data-svelte="svelte-1phssyn"]',document.head);d=a(h,"META",{name:!0,content:!0}),h.forEach(o),b=g(t),c=a(t,"H1",{class:!0});var rt=r(c);p=a(rt,"A",{id:!0,class:!0,href:!0});var co=r(p);T=a(co,"SPAN",{});var po=r(T);k(n.$$.fragment,po),po.forEach(o),co.forEach(o),u=g(rt),G=a(rt,"SPAN",{});var ho=r(G);C=l(ho,"GPT-NeoX"),ho.forEach(o),rt.forEach(o),X=g(t),F=a(t,"H2",{class:!0});var it=r(F);q=a(it,"A",{id:!0,class:!0,href:!0});var uo=r(q);qt=a(uo,"SPAN",{});var mo=r(qt);k(Ce.$$.fragment,mo),mo.forEach(o),uo.forEach(o),Qo=g(it),Et=a(it,"SPAN",{});var fo=r(Et);Zo=l(fo,"Overview"),fo.forEach(o),it.forEach(o),To=g(t),re=a(t,"P",{});var lt=r(re);en=l(lt,`We introduce GPT-NeoX-20B, a 20 billion parameter autoregressive language model trained on the Pile, whose weights will
be made freely and openly available to the public through a permissive license. It is, to the best of our knowledge,
the largest dense autoregressive model that has publicly available weights at the time of submission. In this work,
we describe GPT-NeoX-20B\u2019s architecture and training and evaluate its performance on a range of language-understanding,
mathematics, and knowledge-based tasks. We find that GPT-NeoX-20B is a particularly powerful few-shot reasoner and
gains far more in performance when evaluated five-shot than similarly sized GPT-3 and FairSeq models. We open-source
the training and evaluation code, as well as the model weights, at `),Fe=a(lt,"A",{href:!0,rel:!0});var go=r(Fe);tn=l(go,"https://github.com/EleutherAI/gpt-neox"),go.forEach(o),on=l(lt,"."),lt.forEach(o),bo=g(t),ie=a(t,"P",{});var dt=r(ie);nn=l(dt,`Development of the model was led by Sid Black, Stella Biderman and Eric Hallahan, and the model was trained with
generous the support of `),qe=a(dt,"A",{href:!0,rel:!0});var ia=r(qe);sn=l(ia,"CoreWeave"),ia.forEach(o),an=l(dt,"."),dt.forEach(o),vo=g(t),ct=a(t,"P",{});var la=r(ct);rn=l(la,"GPT-NeoX-20B was trained with fp16, thus it is recommended to initialize the model as follows:"),la.forEach(o),ko=g(t),k(Ee.$$.fragment,t),wo=g(t),pt=a(t,"P",{});var da=r(pt);ln=l(da,`GPT-NeoX-20B also has a different tokenizer from the one used in GPT-J-6B and GPT-Neo. The new tokenizer allocates
additional tokens to whitespace characters, making the model more suitable for certain tasks like code generation.`),da.forEach(o),$o=g(t),U=a(t,"H3",{class:!0});var Lo=r(U);le=a(Lo,"A",{id:!0,class:!0,href:!0});var ca=r(le);Mt=a(ca,"SPAN",{});var pa=r(Mt);k(Me.$$.fragment,pa),pa.forEach(o),ca.forEach(o),dn=g(Lo),jt=a(Lo,"SPAN",{});var ha=r(jt);cn=l(ha,"Generation"),ha.forEach(o),Lo.forEach(o),yo=g(t),de=a(t,"P",{});var Io=r(de);pn=l(Io,"The "),At=a(Io,"CODE",{});var ua=r(At);hn=l(ua,"generate()"),ua.forEach(o),un=l(Io," method can be used to generate text using GPT Neo model."),Io.forEach(o),Po=g(t),k(je.$$.fragment,t),No=g(t),V=a(t,"H2",{class:!0});var Oo=r(V);ce=a(Oo,"A",{id:!0,class:!0,href:!0});var ma=r(ce);St=a(ma,"SPAN",{});var fa=r(St);k(Ae.$$.fragment,fa),fa.forEach(o),ma.forEach(o),mn=g(Oo),Lt=a(Oo,"SPAN",{});var ga=r(Lt);fn=l(ga,"Documentation resources"),ga.forEach(o),Oo.forEach(o),Go=g(t),ht=a(t,"UL",{});var _a=r(ht);It=a(_a,"LI",{});var Ta=r(It);ut=a(Ta,"A",{href:!0});var ba=r(ut);gn=l(ba,"Causal language modeling task guide"),ba.forEach(o),Ta.forEach(o),_a.forEach(o),Xo=g(t),J=a(t,"H2",{class:!0});var Do=r(J);pe=a(Do,"A",{id:!0,class:!0,href:!0});var va=r(pe);Ot=a(va,"SPAN",{});var ka=r(Ot);k(Se.$$.fragment,ka),ka.forEach(o),va.forEach(o),_n=g(Do),Dt=a(Do,"SPAN",{});var wa=r(Dt);Tn=l(wa,"GPTNeoXConfig"),wa.forEach(o),Do.forEach(o),xo=g(t),A=a(t,"DIV",{class:!0});var Ge=r(A);k(Le.$$.fragment,Ge),bn=g(Ge),R=a(Ge,"P",{});var $t=r(R);vn=l($t,"This is the configuration class to store the configuration of a "),mt=a($t,"A",{href:!0});var $a=r(mt);kn=l($a,"GPTNeoXModel"),$a.forEach(o),wn=l($t,`. It is used to instantiate an
GPTNeoX model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the GPTNeoX
`),Ie=a($t,"A",{href:!0,rel:!0});var ya=r(Ie);$n=l(ya,"EleutherAI/gpt-neox-20b"),ya.forEach(o),yn=l($t," architecture."),$t.forEach(o),Pn=g(Ge),Y=a(Ge,"P",{});var yt=r(Y);Nn=l(yt,"Configuration objects inherit from "),ft=a(yt,"A",{href:!0});var Pa=r(ft);Gn=l(Pa,"PretrainedConfig"),Pa.forEach(o),Xn=l(yt,` and can be used to control the model outputs. Read the
documentation from `),gt=a(yt,"A",{href:!0});var Na=r(gt);xn=l(Na,"PretrainedConfig"),Na.forEach(o),zn=l(yt," for more information."),yt.forEach(o),Cn=g(Ge),k(he.$$.fragment,Ge),Ge.forEach(o),zo=g(t),K=a(t,"H2",{class:!0});var Wo=r(K);ue=a(Wo,"A",{id:!0,class:!0,href:!0});var Ga=r(ue);Wt=a(Ga,"SPAN",{});var Xa=r(Wt);k(Oe.$$.fragment,Xa),Xa.forEach(o),Ga.forEach(o),Fn=g(Wo),Bt=a(Wo,"SPAN",{});var xa=r(Bt);qn=l(xa,"GPTNeoXTokenizerFast"),xa.forEach(o),Wo.forEach(o),Co=g(t),x=a(t,"DIV",{class:!0});var j=r(x);k(De.$$.fragment,j),En=g(j),We=a(j,"P",{});var Bo=r(We);Mn=l(Bo,"Construct a \u201Cfast\u201D GPT-NeoX-20B tokenizer (backed by HuggingFace\u2019s "),Ht=a(Bo,"EM",{});var za=r(Ht);jn=l(za,"tokenizers"),za.forEach(o),An=l(Bo,` library). Based on byte-level
Byte-Pair-Encoding.`),Bo.forEach(o),Sn=g(j),Ut=a(j,"P",{});var Ca=r(Ut);Ln=l(Ca,"This tokenizer has been trained to treat spaces like parts of the tokens (a bit like sentencepiece) so a word will"),Ca.forEach(o),In=g(j),k(me.$$.fragment,j),On=g(j),Be=a(j,"P",{});var Ho=r(Be);Dn=l(Ho,"You can get around that behavior by passing "),Vt=a(Ho,"CODE",{});var Fa=r(Vt);Wn=l(Fa,"add_prefix_space=True"),Fa.forEach(o),Bn=l(Ho,` when instantiating this tokenizer, but since
the model was not pretrained this way, it might yield a decrease in performance.`),Ho.forEach(o),Hn=g(j),k(fe.$$.fragment,j),Un=g(j),He=a(j,"P",{});var Uo=r(He);Vn=l(Uo,"This tokenizer inherits from "),_t=a(Uo,"A",{href:!0});var qa=r(_t);Jn=l(qa,"PreTrainedTokenizerFast"),qa.forEach(o),Rn=l(Uo,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Uo.forEach(o),j.forEach(o),Fo=g(t),Q=a(t,"H2",{class:!0});var Vo=r(Q);ge=a(Vo,"A",{id:!0,class:!0,href:!0});var Ea=r(ge);Jt=a(Ea,"SPAN",{});var Ma=r(Jt);k(Ue.$$.fragment,Ma),Ma.forEach(o),Ea.forEach(o),Yn=g(Vo),Rt=a(Vo,"SPAN",{});var ja=r(Rt);Kn=l(ja,"GPTNeoXModel"),ja.forEach(o),Vo.forEach(o),qo=g(t),O=a(t,"DIV",{class:!0});var Pt=r(O);k(Ve.$$.fragment,Pt),Qn=g(Pt),Je=a(Pt,"P",{});var Jo=r(Je);Zn=l(Jo,`The bare GPTNeoX Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Re=a(Jo,"A",{href:!0,rel:!0});var Aa=r(Re);es=l(Aa,"torch.nn.Module"),Aa.forEach(o),ts=l(Jo,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Jo.forEach(o),os=g(Pt),E=a(Pt,"DIV",{class:!0});var W=r(E);k(Ye.$$.fragment,W),ns=g(W),Z=a(W,"P",{});var Nt=r(Z);ss=l(Nt,"The "),Tt=a(Nt,"A",{href:!0});var Sa=r(Tt);as=l(Sa,"GPTNeoXModel"),Sa.forEach(o),rs=l(Nt," forward method, overrides the "),Yt=a(Nt,"CODE",{});var La=r(Yt);is=l(La,"__call__"),La.forEach(o),ls=l(Nt," special method."),Nt.forEach(o),ds=g(W),k(_e.$$.fragment,W),cs=g(W),k(Te.$$.fragment,W),ps=g(W),k(be.$$.fragment,W),W.forEach(o),Pt.forEach(o),Eo=g(t),ee=a(t,"H2",{class:!0});var Ro=r(ee);ve=a(Ro,"A",{id:!0,class:!0,href:!0});var Ia=r(ve);Kt=a(Ia,"SPAN",{});var Oa=r(Kt);k(Ke.$$.fragment,Oa),Oa.forEach(o),Ia.forEach(o),hs=g(Ro),Qt=a(Ro,"SPAN",{});var Da=r(Qt);us=l(Da,"GPTNeoXForCausalLM"),Da.forEach(o),Ro.forEach(o),Mo=g(t),D=a(t,"DIV",{class:!0});var Gt=r(D);k(Qe.$$.fragment,Gt),ms=g(Gt),te=a(Gt,"P",{});var Xt=r(te);fs=l(Xt,"GPTNeoX Model with a "),Zt=a(Xt,"CODE",{});var Wa=r(Zt);gs=l(Wa,"language modeling"),Wa.forEach(o),_s=l(Xt,` head on top for CLM fine-tuning.
This model is a PyTorch `),Ze=a(Xt,"A",{href:!0,rel:!0});var Ba=r(Ze);Ts=l(Ba,"torch.nn.Module"),Ba.forEach(o),bs=l(Xt,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Xt.forEach(o),vs=g(Gt),L=a(Gt,"DIV",{class:!0});var Xe=r(L);k(et.$$.fragment,Xe),ks=g(Xe),oe=a(Xe,"P",{});var xt=r(oe);ws=l(xt,"The "),bt=a(xt,"A",{href:!0});var Ha=r(bt);$s=l(Ha,"GPTNeoXForCausalLM"),Ha.forEach(o),ys=l(xt," forward method, overrides the "),eo=a(xt,"CODE",{});var Ua=r(eo);Ps=l(Ua,"__call__"),Ua.forEach(o),Ns=l(xt," special method."),xt.forEach(o),Gs=g(Xe),k(ke.$$.fragment,Xe),Xs=g(Xe),k(we.$$.fragment,Xe),Xe.forEach(o),Gt.forEach(o),jo=g(t),ne=a(t,"H2",{class:!0});var Yo=r(ne);$e=a(Yo,"A",{id:!0,class:!0,href:!0});var Va=r($e);to=a(Va,"SPAN",{});var Ja=r(to);k(tt.$$.fragment,Ja),Ja.forEach(o),Va.forEach(o),xs=g(Yo),oo=a(Yo,"SPAN",{});var Ra=r(oo);zs=l(Ra,"GPTNeoXForSequenceClassification"),Ra.forEach(o),Yo.forEach(o),Ao=g(t),z=a(t,"DIV",{class:!0});var I=r(z);k(ot.$$.fragment,I),Cs=g(I),no=a(I,"P",{});var Ya=r(no);Fs=l(Ya,"The GPTNeoX Model transformer with a sequence classification head on top (linear layer)."),Ya.forEach(o),qs=g(I),vt=a(I,"P",{});var ra=r(vt);kt=a(ra,"A",{href:!0});var Ka=r(kt);Es=l(Ka,"GPTNeoXForSequenceClassification"),Ka.forEach(o),Ms=l(ra,` uses the last token in order to do the classification, as other causal models
(e.g. GPT-1) do.`),ra.forEach(o),js=g(I),S=a(I,"P",{});var B=r(S);As=l(B,`Since it does classification on the last token, it requires to know the position of the last token. If a
`),so=a(B,"CODE",{});var Qa=r(so);Ss=l(Qa,"pad_token_id"),Qa.forEach(o),Ls=l(B,` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),ao=a(B,"CODE",{});var Za=r(ao);Is=l(Za,"pad_token_id"),Za.forEach(o),Os=l(B,` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),ro=a(B,"CODE",{});var er=r(ro);Ds=l(er,"inputs_embeds"),er.forEach(o),Ws=l(B," are passed instead of "),io=a(B,"CODE",{});var tr=r(io);Bs=l(tr,"input_ids"),tr.forEach(o),Hs=l(B,`, it does the same (take the last value in
each row of the batch).`),B.forEach(o),Us=g(I),nt=a(I,"P",{});var Ko=r(nt);Vs=l(Ko,"This model is a PyTorch "),st=a(Ko,"A",{href:!0,rel:!0});var or=r(st);Js=l(or,"torch.nn.Module"),or.forEach(o),Rs=l(Ko,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ko.forEach(o),Ys=g(I),M=a(I,"DIV",{class:!0});var H=r(M);k(at.$$.fragment,H),Ks=g(H),se=a(H,"P",{});var zt=r(se);Qs=l(zt,"The "),wt=a(zt,"A",{href:!0});var nr=r(wt);Zs=l(nr,"GPTNeoXForSequenceClassification"),nr.forEach(o),ea=l(zt," forward method, overrides the "),lo=a(zt,"CODE",{});var sr=r(lo);ta=l(sr,"__call__"),sr.forEach(o),oa=l(zt," special method."),zt.forEach(o),na=g(H),k(ye.$$.fragment,H),sa=g(H),k(Pe.$$.fragment,H),aa=g(H),k(Ne.$$.fragment,H),H.forEach(o),I.forEach(o),this.h()},h(){m(d,"name","hf:doc:metadata"),m(d,"content",JSON.stringify(wr)),m(p,"id","gptneox"),m(p,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(p,"href","#gptneox"),m(c,"class","relative group"),m(q,"id","overview"),m(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(q,"href","#overview"),m(F,"class","relative group"),m(Fe,"href","https://github.com/EleutherAI/gpt-neox"),m(Fe,"rel","nofollow"),m(qe,"href","https://www.coreweave.com/"),m(qe,"rel","nofollow"),m(le,"id","generation"),m(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(le,"href","#generation"),m(U,"class","relative group"),m(ce,"id","documentation-resources"),m(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(ce,"href","#documentation-resources"),m(V,"class","relative group"),m(ut,"href","../tasks/language_modeling"),m(pe,"id","transformers.GPTNeoXConfig"),m(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(pe,"href","#transformers.GPTNeoXConfig"),m(J,"class","relative group"),m(mt,"href","/docs/transformers/pr_21485/en/model_doc/gpt_neox#transformers.GPTNeoXModel"),m(Ie,"href","https://huggingface.co/EleutherAI/gpt-neox-20b"),m(Ie,"rel","nofollow"),m(ft,"href","/docs/transformers/pr_21485/en/main_classes/configuration#transformers.PretrainedConfig"),m(gt,"href","/docs/transformers/pr_21485/en/main_classes/configuration#transformers.PretrainedConfig"),m(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ue,"id","transformers.GPTNeoXTokenizerFast"),m(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(ue,"href","#transformers.GPTNeoXTokenizerFast"),m(K,"class","relative group"),m(_t,"href","/docs/transformers/pr_21485/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),m(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ge,"id","transformers.GPTNeoXModel"),m(ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(ge,"href","#transformers.GPTNeoXModel"),m(Q,"class","relative group"),m(Re,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(Re,"rel","nofollow"),m(Tt,"href","/docs/transformers/pr_21485/en/model_doc/gpt_neox#transformers.GPTNeoXModel"),m(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ve,"id","transformers.GPTNeoXForCausalLM"),m(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(ve,"href","#transformers.GPTNeoXForCausalLM"),m(ee,"class","relative group"),m(Ze,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(Ze,"rel","nofollow"),m(bt,"href","/docs/transformers/pr_21485/en/model_doc/gpt_neox#transformers.GPTNeoXForCausalLM"),m(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m($e,"id","transformers.GPTNeoXForSequenceClassification"),m($e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m($e,"href","#transformers.GPTNeoXForSequenceClassification"),m(ne,"class","relative group"),m(kt,"href","/docs/transformers/pr_21485/en/model_doc/gpt_neox#transformers.GPTNeoXForSequenceClassification"),m(st,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(st,"rel","nofollow"),m(wt,"href","/docs/transformers/pr_21485/en/model_doc/gpt_neox#transformers.GPTNeoXForSequenceClassification"),m(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,h){e(document.head,d),_(t,b,h),_(t,c,h),e(c,p),e(p,T),w(n,T,null),e(c,u),e(c,G),e(G,C),_(t,X,h),_(t,F,h),e(F,q),e(q,qt),w(Ce,qt,null),e(F,Qo),e(F,Et),e(Et,Zo),_(t,To,h),_(t,re,h),e(re,en),e(re,Fe),e(Fe,tn),e(re,on),_(t,bo,h),_(t,ie,h),e(ie,nn),e(ie,qe),e(qe,sn),e(ie,an),_(t,vo,h),_(t,ct,h),e(ct,rn),_(t,ko,h),w(Ee,t,h),_(t,wo,h),_(t,pt,h),e(pt,ln),_(t,$o,h),_(t,U,h),e(U,le),e(le,Mt),w(Me,Mt,null),e(U,dn),e(U,jt),e(jt,cn),_(t,yo,h),_(t,de,h),e(de,pn),e(de,At),e(At,hn),e(de,un),_(t,Po,h),w(je,t,h),_(t,No,h),_(t,V,h),e(V,ce),e(ce,St),w(Ae,St,null),e(V,mn),e(V,Lt),e(Lt,fn),_(t,Go,h),_(t,ht,h),e(ht,It),e(It,ut),e(ut,gn),_(t,Xo,h),_(t,J,h),e(J,pe),e(pe,Ot),w(Se,Ot,null),e(J,_n),e(J,Dt),e(Dt,Tn),_(t,xo,h),_(t,A,h),w(Le,A,null),e(A,bn),e(A,R),e(R,vn),e(R,mt),e(mt,kn),e(R,wn),e(R,Ie),e(Ie,$n),e(R,yn),e(A,Pn),e(A,Y),e(Y,Nn),e(Y,ft),e(ft,Gn),e(Y,Xn),e(Y,gt),e(gt,xn),e(Y,zn),e(A,Cn),w(he,A,null),_(t,zo,h),_(t,K,h),e(K,ue),e(ue,Wt),w(Oe,Wt,null),e(K,Fn),e(K,Bt),e(Bt,qn),_(t,Co,h),_(t,x,h),w(De,x,null),e(x,En),e(x,We),e(We,Mn),e(We,Ht),e(Ht,jn),e(We,An),e(x,Sn),e(x,Ut),e(Ut,Ln),e(x,In),w(me,x,null),e(x,On),e(x,Be),e(Be,Dn),e(Be,Vt),e(Vt,Wn),e(Be,Bn),e(x,Hn),w(fe,x,null),e(x,Un),e(x,He),e(He,Vn),e(He,_t),e(_t,Jn),e(He,Rn),_(t,Fo,h),_(t,Q,h),e(Q,ge),e(ge,Jt),w(Ue,Jt,null),e(Q,Yn),e(Q,Rt),e(Rt,Kn),_(t,qo,h),_(t,O,h),w(Ve,O,null),e(O,Qn),e(O,Je),e(Je,Zn),e(Je,Re),e(Re,es),e(Je,ts),e(O,os),e(O,E),w(Ye,E,null),e(E,ns),e(E,Z),e(Z,ss),e(Z,Tt),e(Tt,as),e(Z,rs),e(Z,Yt),e(Yt,is),e(Z,ls),e(E,ds),w(_e,E,null),e(E,cs),w(Te,E,null),e(E,ps),w(be,E,null),_(t,Eo,h),_(t,ee,h),e(ee,ve),e(ve,Kt),w(Ke,Kt,null),e(ee,hs),e(ee,Qt),e(Qt,us),_(t,Mo,h),_(t,D,h),w(Qe,D,null),e(D,ms),e(D,te),e(te,fs),e(te,Zt),e(Zt,gs),e(te,_s),e(te,Ze),e(Ze,Ts),e(te,bs),e(D,vs),e(D,L),w(et,L,null),e(L,ks),e(L,oe),e(oe,ws),e(oe,bt),e(bt,$s),e(oe,ys),e(oe,eo),e(eo,Ps),e(oe,Ns),e(L,Gs),w(ke,L,null),e(L,Xs),w(we,L,null),_(t,jo,h),_(t,ne,h),e(ne,$e),e($e,to),w(tt,to,null),e(ne,xs),e(ne,oo),e(oo,zs),_(t,Ao,h),_(t,z,h),w(ot,z,null),e(z,Cs),e(z,no),e(no,Fs),e(z,qs),e(z,vt),e(vt,kt),e(kt,Es),e(vt,Ms),e(z,js),e(z,S),e(S,As),e(S,so),e(so,Ss),e(S,Ls),e(S,ao),e(ao,Is),e(S,Os),e(S,ro),e(ro,Ds),e(S,Ws),e(S,io),e(io,Bs),e(S,Hs),e(z,Us),e(z,nt),e(nt,Vs),e(nt,st),e(st,Js),e(nt,Rs),e(z,Ys),e(z,M),w(at,M,null),e(M,Ks),e(M,se),e(se,Qs),e(se,wt),e(wt,Zs),e(se,ea),e(se,lo),e(lo,ta),e(se,oa),e(M,na),w(ye,M,null),e(M,sa),w(Pe,M,null),e(M,aa),w(Ne,M,null),So=!0},p(t,[h]){const rt={};h&2&&(rt.$$scope={dirty:h,ctx:t}),he.$set(rt);const co={};h&2&&(co.$$scope={dirty:h,ctx:t}),me.$set(co);const po={};h&2&&(po.$$scope={dirty:h,ctx:t}),fe.$set(po);const ho={};h&2&&(ho.$$scope={dirty:h,ctx:t}),_e.$set(ho);const it={};h&2&&(it.$$scope={dirty:h,ctx:t}),Te.$set(it);const uo={};h&2&&(uo.$$scope={dirty:h,ctx:t}),be.$set(uo);const mo={};h&2&&(mo.$$scope={dirty:h,ctx:t}),ke.$set(mo);const fo={};h&2&&(fo.$$scope={dirty:h,ctx:t}),we.$set(fo);const lt={};h&2&&(lt.$$scope={dirty:h,ctx:t}),ye.$set(lt);const go={};h&2&&(go.$$scope={dirty:h,ctx:t}),Pe.$set(go);const dt={};h&2&&(dt.$$scope={dirty:h,ctx:t}),Ne.$set(dt)},i(t){So||($(n.$$.fragment,t),$(Ce.$$.fragment,t),$(Ee.$$.fragment,t),$(Me.$$.fragment,t),$(je.$$.fragment,t),$(Ae.$$.fragment,t),$(Se.$$.fragment,t),$(Le.$$.fragment,t),$(he.$$.fragment,t),$(Oe.$$.fragment,t),$(De.$$.fragment,t),$(me.$$.fragment,t),$(fe.$$.fragment,t),$(Ue.$$.fragment,t),$(Ve.$$.fragment,t),$(Ye.$$.fragment,t),$(_e.$$.fragment,t),$(Te.$$.fragment,t),$(be.$$.fragment,t),$(Ke.$$.fragment,t),$(Qe.$$.fragment,t),$(et.$$.fragment,t),$(ke.$$.fragment,t),$(we.$$.fragment,t),$(tt.$$.fragment,t),$(ot.$$.fragment,t),$(at.$$.fragment,t),$(ye.$$.fragment,t),$(Pe.$$.fragment,t),$(Ne.$$.fragment,t),So=!0)},o(t){y(n.$$.fragment,t),y(Ce.$$.fragment,t),y(Ee.$$.fragment,t),y(Me.$$.fragment,t),y(je.$$.fragment,t),y(Ae.$$.fragment,t),y(Se.$$.fragment,t),y(Le.$$.fragment,t),y(he.$$.fragment,t),y(Oe.$$.fragment,t),y(De.$$.fragment,t),y(me.$$.fragment,t),y(fe.$$.fragment,t),y(Ue.$$.fragment,t),y(Ve.$$.fragment,t),y(Ye.$$.fragment,t),y(_e.$$.fragment,t),y(Te.$$.fragment,t),y(be.$$.fragment,t),y(Ke.$$.fragment,t),y(Qe.$$.fragment,t),y(et.$$.fragment,t),y(ke.$$.fragment,t),y(we.$$.fragment,t),y(tt.$$.fragment,t),y(ot.$$.fragment,t),y(at.$$.fragment,t),y(ye.$$.fragment,t),y(Pe.$$.fragment,t),y(Ne.$$.fragment,t),So=!1},d(t){o(d),t&&o(b),t&&o(c),P(n),t&&o(X),t&&o(F),P(Ce),t&&o(To),t&&o(re),t&&o(bo),t&&o(ie),t&&o(vo),t&&o(ct),t&&o(ko),P(Ee,t),t&&o(wo),t&&o(pt),t&&o($o),t&&o(U),P(Me),t&&o(yo),t&&o(de),t&&o(Po),P(je,t),t&&o(No),t&&o(V),P(Ae),t&&o(Go),t&&o(ht),t&&o(Xo),t&&o(J),P(Se),t&&o(xo),t&&o(A),P(Le),P(he),t&&o(zo),t&&o(K),P(Oe),t&&o(Co),t&&o(x),P(De),P(me),P(fe),t&&o(Fo),t&&o(Q),P(Ue),t&&o(qo),t&&o(O),P(Ve),P(Ye),P(_e),P(Te),P(be),t&&o(Eo),t&&o(ee),P(Ke),t&&o(Mo),t&&o(D),P(Qe),P(et),P(ke),P(we),t&&o(jo),t&&o(ne),P(tt),t&&o(Ao),t&&o(z),P(ot),P(at),P(ye),P(Pe),P(Ne)}}}const wr={local:"gptneox",sections:[{local:"overview",sections:[{local:"generation",title:"Generation"}],title:"Overview"},{local:"documentation-resources",title:"Documentation resources"},{local:"transformers.GPTNeoXConfig",title:"GPTNeoXConfig"},{local:"transformers.GPTNeoXTokenizerFast",title:"GPTNeoXTokenizerFast"},{local:"transformers.GPTNeoXModel",title:"GPTNeoXModel"},{local:"transformers.GPTNeoXForCausalLM",title:"GPTNeoXForCausalLM"},{local:"transformers.GPTNeoXForSequenceClassification",title:"GPTNeoXForSequenceClassification"}],title:"GPT-NeoX"};function $r(N){return dr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class zr extends ar{constructor(d){super();rr(this,d,$r,kr,ir,{})}}export{zr as default,wr as metadata};
